# Create execution

Create a new execution.

Endpoint: POST /iacm/api/orgs/{org}/projects/{project}/executions
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "e3"

  - `project` (string, required)
    Project is the project identifier.
    Example: "r5"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "m"

## Request fields (application/json):

  - `pipeline` (string, required)
    The unique identifier for the associated pipeline
    Example: "Est eum ut."

  - `pipeline_execution_id` (string, required)
    The unique identifier for the associated pipeline execution
    Example: "Blanditiis magnam."

  - `pipeline_stage_id` (string, required)
    The unique identifier for the associated pipeline stage
    Example: "Saepe provident omnis necessitatibus ut."

  - `workspace` (string, required)
    The unique identifier for the associated workspace
    Example: "Qui eveniet."

## Response 200 fields (application/json):

  - `account` (string, required)
    Account is the internal customer account ID.
    Example: "rol"

  - `created` (integer, required)
    Created is the unix timestamp at which the resource was originally created in milliseconds.
    Example: 7359659686039155000

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "in9"

  - `pipeline` (string, required)
    The unique identifier for the associated pipeline
    Example: "Praesentium praesentium soluta."

  - `pipeline_execution_id` (string, required)
    The unique identifier for the associated pipeline execution
    Example: "Iure nemo voluptas aut."

  - `pipeline_stage_id` (string, required)
    The unique identifier for the associated pipeline stage
    Example: "Voluptas aliquam illo aut aspernatur eius."

  - `project` (string, required)
    Project is the project identifier.
    Example: "ak"

  - `status` (string, required)
    The overall status of the execution
    Enum: "none", "success", "failure"

  - `workspace` (string, required)
    The unique identifier for the associated workspace
    Example: "Sed quia alias similique voluptas."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


